﻿using System.Reflection;
using ConfOrm;
using ConfOrm.Mappers;

namespace ConfORM_Tests.Appliers
{
	public class PropertyNamingApplier : IPatternApplier<MemberInfo, IPropertyMapper>
	{

		#region IPatternApplier<MemberInfo,IPropertyMapper> Members

		public void Apply(MemberInfo subject, IPropertyMapper applyTo)
		{
			applyTo.Column("Test" + subject.Name);
		}

		#endregion

		#region IPattern<MemberInfo> Members

		public bool Match(MemberInfo subject)
		{
			return (subject != null);
		}

		#endregion
	}
}
